import { Plugin } from './plugin.js';
import { VariableStore } from './variables.js';
import Output from '../output/output.js';
import { AppModuleConstructor } from '../app-modules/app-modules.js';
export declare class Runner extends Plugin {
    private modules;
    private output?;
    private appModulesLoader;
    private vm;
    variables: VariableStore;
    constructor();
    getModule(id: string): import("../index.js").AppModule;
    getRegisteredModules(): import("../index.js").AppModule[];
    addModule(mod: AppModuleConstructor): void;
    onInstall(output: Output): void;
    onImport(): void;
    _updateModules(): void;
    _onRunningStateChange(): void;
    instrumentize(method: string): any;
    dispose(): void;
}
export default Runner;
